SDL_ReadU16BE(3)

NAME
SDL_ReadU16BE - Use this function to read 16 bits of big-endian data from an SDL_IOStream
 and return in native format.

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_ReadU16BE(SDL_IOStream *src, Uint16 *value);

DESCRIPTION
SDL byteswaps the data only if necessary, so the data returned will be in the native byte order.

FUNCTION PARAMETERS

src the stream from which to read data

value
    a pointer filled in with the data read

RETURN VALUE
Returns SDL_TRUE
 on successful write, SDL_FALSE
 on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.